Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class USU_EspecialidadDbHelper
    Inherits DbHelper(Of USU_Especialidad, SqlDbType)

#Region "Metodos Generador"
    Public Function GetListUSU_EspecialidadBySEG_Usuarios(ByVal idUsuario As Int32, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of USU_Especialidad)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idUsuario = idUsuario
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class

